aboutsummaryrefslogtreecommitdiff
path: root/toolchain
Commit message (Collapse)AuthorAgeFilesLines
* kernel-headers: bump 3.0.x / 3.2.x stable versionsGravatar Peter Korsgaard2012-01-262-2/+2
| | | | Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gdb: add 7.4, mark 7.1 as deprecatedGravatar Peter Korsgaard2012-01-241-1/+9
| | | | Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gdb: also force ELF support for gdbhostGravatar Peter Korsgaard2012-01-241-0/+2
| | | | | | | | | | | | | | | | Similar to how we do for target (ee39d53ce3ee (Fix GDB BFD test linking)). Gdb comes with an embedded copy of libiberty, but binutils also installs libiberty.a into HOST_DIR. The gdb configure script tries to link against this one rather than the gdb version when it checks for ELF support. This may fail if those versions are not compatible, leading to obscure error messages from gdb at runtime such as: I'm sorry, Dave, I can't do that. Symbol format `elf32-$ARCH' unknown. Fix it by forcing ELF support. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* ctng: use gcc 4.4.6Gravatar Peter Korsgaard2012-01-223-9/+9
| | | | Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* ctng: use 3.0.4 kernel headersGravatar Peter Korsgaard2012-01-223-9/+9
| | | | Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* ctng: use internal toolchain uClibc config, build uClibc 0.9.32Gravatar Peter Korsgaard2012-01-223-250/+4
| | | | | | | So the uClibc configurations are kept in sync between the two toolchain methods. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump 3.1.x stable versionGravatar Peter Korsgaard2012-01-181-1/+1
| | | | Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gcc-uclibc-4.x.mk: get rid of BR2_DEPENDS_DIRGravatar Peter Korsgaard2012-01-151-13/+0
| | | | | | Now that we have dropped the make-write-deps patch. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* Fix typo buiding -> buildingGravatar Thomas De Schampheleire2012-01-151-1/+1
| | | | | Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump 3.0.x, 3.1.x and 3.2.x seriesGravatar Gustavo Zacarias2012-01-132-3/+3
| | | | | | | | Bump 3.0.x series to 3.0.17, 3.1.x series to 3.1.9 and 3.2.x series to 3.2.1 Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* Remove java supportGravatar Peter Korsgaard2012-01-122-31/+0
| | | | | | | Has been marked as broken since July 2010 (39e6ba1b), and nobody has stepped up to support it, so now finally remove it completely. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump 3.1.x series to version 3.1.8Gravatar Gustavo Zacarias2012-01-091-1/+1
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* toolchain: add powerpc SPE ABI supportGravatar Gustavo Zacarias2012-01-072-1/+12
| | | | | | | | | | | | | | | | | Add the ability for buildroot to build an SPE ABI enabled toolchain. This is mandatory for e500v1/v2 cores since they don't support classic FPU mode as the e500mc does. Useful for Freescale's PowerQUICC III and single/dual-core QorIQ line of processors. The new TARGET_ABI variable is used rather than TARGET_CFLAGS for uclibc's UCLIBC_EXTRA_CFLAGS to avoid breakish CFLAGS leaking in, a good example being -mthumb for ARM. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump 3.0 & 3.1 stable versions, add 3.2Gravatar Gustavo Zacarias2012-01-062-3/+7
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uClibc: bump 0.9.32.x version to 0.9.32.1Gravatar Gustavo Zacarias2012-01-029-96/+1
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump 3.0.x / 3.1.x stable versionsGravatar Peter Korsgaard2011-12-212-2/+2
| | | | Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump 3.0.x / 3.1.x stable versionsGravatar Sven Neumann2011-12-112-2/+2
| | | | | | [Peter: rename headers_install patch so it gets applied] Signed-off-by: Sven Neumann <s.neumann@raumfeld.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gcc: remove old 4.2.4 versionGravatar Peter Korsgaard2011-12-0818-776/+1
| | | | | | We unfortunately cannot remove the avr32 variant yet. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gcc: default to 4.5.xGravatar Peter Korsgaard2011-12-081-1/+1
| | | | | | | | | The 4.3.x series is getting quite old, so let's use 4.5 instead. There were reports of problems in the past, which is why this is done early in the cycle. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uclibc: update internal toolchain buildGravatar Gustavo Zacarias2011-12-071-0/+6
| | | | | | | | | Update the uClibc build procedure to accomodate for the new build system, otherwise it breaks with snapshot versions. As pointed by linuxjacques on IRC. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uClibc: add unshare() syscall supportGravatar Gustavo Zacarias2011-12-072-0/+156
| | | | | | | | Add unshare() syscall support for uClibc 0.9.31 and 0.9.32 series. This is required by newer versions of iproute2. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uClibc: remove deprecated 0.9.30 seriesGravatar Gustavo Zacarias2011-12-0711-615/+0
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* dependencies: check for extract tools as wellGravatar Peter Korsgaard2011-12-041-7/+1
| | | | | | | | | | | | Most of the extract tools (gzip/bzip/..) we already check for explicitly in dependencies.sh (as they are used outside GENTARGETS), but not for xzcat. The .xz format is used fairly rarely, and it is likely to not be available on build hosts, so an explicit (hardcoded) check for it isn't optimal. Instead, add the inflate tools used to DL_TOOLS_DEPENDENCIES, similar to how we do it for svn/git/bzr/... Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump 3.0.x / 3.1.x stable versionsGravatar Peter Korsgaard2011-11-292-2/+2
| | | | Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: update to 3.1.3 and 3.0.11Gravatar Sven Neumann2011-11-272-2/+2
| | | | | Signed-off-by: Sven Neumann <s.neumann@raumfeld.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uClibc: remove trailer from linuxthreads-errno patches confusing modern patchGravatar Peter Korsgaard2011-11-242-4/+0
| | | | | | | | Modern versions of patch (2.6.1.81 / 85 tested) gets confused by the empty git trailer referencing uClibc_errno.h (from when patch was forward ported from 0.9.31), so drop it. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gdb: fix kconfig dependency handling with !BR_TOOLCHAIN_BUILDROOTGravatar Peter Korsgaard2011-11-245-5/+38
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Newer versions of GDB need pthread debugging support if threads are enabled, which is always the case for glibc but is a configure option for uClibc. We have solved this for internal toolchains by selecting the BR2_PTHREAD_DEBUG option from the GDB selection if needed, but as this option isn't available when ctng/external toolchains are used, mconf prints ugly warnings and the build may fail if an external uClibc toolchain without pthread debugging support is used. Fix it by introducing 2 more hidden config options: - BR2_TOOLCHAIN_HAS_THREADS_DEBUG - BR2_TOOLCHAIN_HAS_THREADS_DEBUG_IF_NEEDED The first tells us if the toolchain HAS pthreads debugging support, and is checked by check_uclibc_feature in helper.mk for external uClibc based toolchains. The second tells us if the toolchain is ABLE TO provide pthreads debugging support if threads are enabled, either because it's an internal toolchain where we can force enable it or an external glibc/eglibc toolchain or uClibc with the option enabled. Crosstool-ng forcibly enables this support, so those will always work. The preconfigured uClibc-based toolchains we have also all enable it. Finally, show a comment if this isn't the case so the (external toolchain) user knows why. This is placed outside the choice option, as menuconfig has a bug where it doesn't show choice selections which only contain comments. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gdb: fix version logic for bfinGravatar Peter Korsgaard2011-11-231-1/+1
| | | | | | GDB should default to 6.6 on bfin, not on !bfin. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: update to 3.1.2 and 3.0.10Gravatar Gustavo Zacarias2011-11-222-2/+2
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* dependencies: remove unused lzma checking scriptsGravatar Thomas De Schampheleire2011-11-171-13/+0
| | | | | | | | | | Files package/lzma/lzmacheck.sh and toolchain/dependencies/check-host-lzma.sh are present since the very beginning of buildroot, but do not appear to be used (anymore). Let's remove them. Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Acked-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* dependencies: check core dependencies before anything elseGravatar Thomas De Schampheleire2011-11-171-2/+4
| | | | | | | | | | | | | | | | | | | Currently, the dependencies target (that runs dependencies.sh) depends on DEPENDENCIES_HOST_PREREQ. This means that the dependencies listed in DEPENDENCIES_HOST_PREREQ (currently host-sstrip if sstrip is selected) are built *before* the dependencies.sh script is run. As a result, if e.g. there is no gcc compiler present on the build system, the dependencies in DEPENDENCIES_HOST_PREREQ will fail to build, and buildroot will fail non-gracefully. This patch makes sure that the DEPENDENCIES_HOST_PREREQ are checked *after* the dependencies.sh script, so that any problem in the build system is reported in a clean way by dependencies.sh. Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Acked-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uClibc: fix sparc build breakageGravatar Gustavo Zacarias2011-11-172-0/+22
| | | | | | | | | | | Closes #4021 Fix build breakage for sparc as reported in bug #4021 Patches from Konrad Eisele <konrad@gaisler.com> Submitted in the uclibc mailing list. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump 3.0.x stable versionGravatar Peter Korsgaard2011-11-142-1/+1
| | | | Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: update stable kernel version to 3.1.1Gravatar Sven Neumann2011-11-141-1/+1
| | | | | Signed-off-by: Sven Neumann <s.neumann@raumfeld.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* target gdb: depend on thread supportGravatar Thomas Petazzoni2011-11-131-0/+1
| | | | | | | | | | Compiling gdb for the target requires thread support in the C library, otherwise: /home/test/outputs/test-888/toolchain/gdb-7.3.1/gdb/gdb_thread_db.h:37:21: fatal error: pthread.h: No such file or directory Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gdb: do not allow native gdb on SuperH architectureGravatar Thomas Petazzoni2011-11-131-0/+1
| | | | | | | | | | | | The gdb debugger does not have support for running as the native debugger on the SuperH architecture: configure: error: "*** Gdb does not support native target sh4-unknown-linux-gnu" See also http://lists.debian.org/debian-superh/2010/04/msg00000.html. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uclibc: rename uclibc-update to uclibc-update-configGravatar Thomas De Schampheleire2011-11-111-1/+1
| | | | | | | | | The original name uclibc-update is confusing as it only updates a configuration file. Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Acked-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* toolchain-external: fix x86 codesourcery config symbol typoGravatar Peter Korsgaard2011-11-082-3/+3
| | | | | | As noticed on irc. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* toolchain/gcc: add 4.3 / 4.4 fix for gcc pr 39429Gravatar Peter Korsgaard2011-11-072-0/+48
| | | | | | | | Patch from OSELAS.Toolchain-2011.03.1. See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39429 for details. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* ext-toolchain: fix ct-ng as external rsync issuesGravatar Gustavo Zacarias2011-11-021-1/+1
| | | | | | | | | | | When using a CT-NG toolchain as external toolchain (not with the integration) and said toolchain has u-w directories rsync fails. So instruct rsync to chmod u+w directories in the target copy to avoid the issue. [Peter: notice that this is a workaround for a rsync 3.0.8 bug] Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uClibc: update snapshot config to avoid stallingGravatar Gustavo Zacarias2011-11-021-0/+4
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uClibc 0.9.31.1: add patch to export strverscmp for realGravatar Gustavo Zacarias2011-11-021-0/+30
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* uClibc: add patches to fix daylight saving issuesGravatar Gustavo Zacarias2011-11-022-0/+72
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* toolchain: Add the possibility to have a mcpu option with wrapperGravatar Stany MARCEL2011-11-022-0/+8
| | | | | | | | | Permit to define the mcpu of the external toolchain wrapper, based on BR2_GCC_TARGET_CPU. Signed-off-by: Stany MARCEL <stanypub@gmail.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@anciens.enib.fr> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* toolchain: Correct test for external tools symlink creationGravatar Stany MARCEL2011-11-021-2/+2
| | | | | | | | | | | When the external tools chain is installed in a path that match one of the first case test, all symlink are created to the external wrapper. The proposed solution is to test only the base name not the full path. Signed-off-by: Stany MARCEL <stanypub@gmail.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@anciens.enib.fr> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* toolchain/ct-ng: update to 1.13.0Gravatar Yann E. MORIN2011-11-023-119/+152
| | | | | | | | | Update the version in the package description. Update the default configuration files for the three different C libraries. [Peter: Removed unneeded changes as noticed by Baruch Siach] Signed-off-by: "Yann E. MORIN" <yann.morin.1998@anciens.enib.fr> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* toolchain/gcc: bump 4.6.x version to 4.6.2Gravatar Gustavo Zacarias2011-10-278-1/+1
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump 3.0.x stable versionGravatar Peter Korsgaard2011-10-252-1/+1
| | | | Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* kernel-headers: bump to version 3.0.7 and add version 3.1Gravatar Gustavo Zacarias2011-10-243-3/+7
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* dependencies: additional check for PERL_MM_OPTGravatar Thomas Petazzoni2011-10-151-0/+8
| | | | | | | | | | | | | | When the user has Perl local::lib installed, its environment contains a PERL_MM_OPT variables which defines INSTALL_BASE="/some/location". Unfortunately, having this makes the build of libxml-parser-perl (and probably other Perl related packages) fail, because it complains that both PREFIX (passed in our .mk file) and INSTALL_BASE (passed from the PERL_MM_OPT environment variable) are defined. Since in Buildroot we want our PREFIX to be considered, we error out when the user has PERL_MM_OPT defined. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>